Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 418315 - kde-base/ffmpegthumbs-4.8.3 does not compile with media-video/ffmpeg-0.11
Summary: kde-base/ffmpegthumbs-4.8.3 does not compile with media-video/ffmpeg-0.11
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ffmpeg-0.11-breakage
  Show dependency tree
 
Reported: 2012-05-31 00:05 UTC by milan hodoscek
Modified: 2012-06-03 09:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,28.47 KB, text/plain)
2012-05-31 00:05 UTC, milan hodoscek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description milan hodoscek 2012-05-31 00:05:52 UTC
Created attachment 313647 [details]
build.log

kde-base/ffmpegthumbs-4.8.3 does not compile with media-video/ffmpeg-0.11:

avcodec_init not declared

probably one of the bugs that should be on the list of bug 417677


Here is my emerge --info

Portage 2.1.10.63 (default/linux/amd64/10.0, gcc-4.7.0, glibc-2.15-r2, 3.4.0-gentoo x86_64)
=================================================================
System uname: Linux-3.4.0-gentoo-x86_64-Intel-R-_Core-TM-2_CPU_T5600_@_1.83GHz-with-gentoo-2.1
Timestamp of tree: Wed, 30 May 2012 15:00:01 +0000
app-shells/bash:          4.2_p28
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.2
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.5
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.4.6-r1, 4.5.3-r2, 4.6.3, 4.7.0
sys-devel/gcc-config:     1.7.1
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo science x-portage
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=core2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe -march=core2"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LC_ALL="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en us"
MAKEOPTS="-j 2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/science /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aalib abiword accessibility acl acpi alsa amd64 amr apng berkdb bluetooth bzip2 cairo cdda cddax cddb cdio cdparanoia cdr cdrom cdsound cjk cli consolekit context cpio cracklib crypt css cups cxx cyrillic dbus declarative demosaic detex device-mapper dirac dri dvd dvi2tty dvipdfm emacs embedded enca encode exif extra extras ffmpeg firefox flac fontconfig fortran games gcj gdbm gdu gif gimp glib gnome gnuplot gnutls goffice gphoto2 gpm graphics graphicsmagick graphite graphviz grub gs gsf gsl gsm gstreamer gtk gtk2-perl gtk3 gtkhtml gudev gzip gzip-el h224 h281 h323 hacking humanities hwdb iconv icu id3 id3tag imagemagick introspection ipv6 jadetex java jbig jpeg jpeg2k kate kdcraw kde kdepim kpathsea lame lapack laptop latex latex3 lcms libv4l2 llvm llvm-gcc luatex lxde lzo mad matroska mbox melt mmx mng modules mp3 mp4 mpd mpeg mplayer mpqc msms mudflap multilib musepack music nautilus ncurses networkmanager nls nptl nsplugin ntp ocrad octave offensive ogg ogg123 ogm omega openexr opengl openmp openssl pam pcre pdf perl plasma png policykit pppd pstricks publishers pulseaudio python python3 qt3support qt4 readline rle schroedinger science sdl semantic-desktop sendto server session shout speech speex sql sqlite sse sse2 ssh ssl static-libs svg taglib tcpd tex4ht theora tiff tonal truetype twolame udev unicode unzip upnp uuencode v4l2 vaapi valgrind video vim vim-pager vim-syntax vorbis vpx weather webkit webm x264 xcb xetex xindy xml xmp xorg xpm xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en us" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Alexis Ballier gentoo-dev 2012-05-31 11:26:24 UTC
i was pretty sure i fixed it back then, indeed, there's files/ffmpegthumbs-4.8.1-ffmpeg.patch that probably still applies and was dropped
Comment 2 Andreas K. Hüttel gentoo-dev 2012-06-03 09:15:12 UTC
Should be fixed now.

(In reply to comment #1)
> i was pretty sure i fixed it back then, indeed, there's
> files/ffmpegthumbs-4.8.1-ffmpeg.patch that probably still applies and was
> dropped

@Alexis: KDE ebuilds are bumped from the KDE overlay... if you silently added the patch in the main tree and nobody knew, it would have dropped under the table immediately with the next release...